%global srcname safe-buffer
Name:                nodejs-%{srcname}
Version:             5.1.1
Release:             1
Summary:             Node.js module for a safer buffer API
License:             MIT
URL:                 https://github.com/feross/safe-buffer
Source0:             https://github.com/feross/safe-buffer/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging npm(tape)
%description
%{summary}.

%prep
%autosetup -n %{srcname}-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
tape test.js

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Fri Aug 21 2020 wangyue <wangyue92@huawei.com> - 5.1.1-1
- package init
